SHA224SUM(1)

NOM
sha224sum - Calculer et vérifier le sommaire d'un message SHA224

SYNOPSIS
sha224sum [OPTION]... [FICHIER]...

DESCRIPTION

Afficher ou vérifier des sommes de contrôle SHA224 (224 bits). L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

-b, --binary
    lire en mode binaire

-c, --check
    lire les sommes SHA224 des FICHIERs et les vérifier

--tag
    créer une somme de contrôle de type BSD

-t, --text
    lire en mode texte (par défaut)

  Les trois options suivantes ne sont utiles que lors de la vérification des sommes de contrôle :

--quiet
    ne pas afficher OK à chaque vérification correcte de fichiers

--status
    ne rien afficher, le code d'état montre le succès

-w, --warn
    avertir lorsque les lignes de sommes de contrôle sont mal formatées

--strict
    avec --check, terminer avec un état différent de zéro si une entrée n'est pas valable

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

Les sommes sont calculées selon la méthode décrite dans la RFC 3874. Lors de la vérification, l'entrée doit être une sortie précédente du programme. Le mode par défaut affiche la somme de contrôle, un caractère indiquant le type (« * » pour binaire, une espace « » pour texte) et le nom de chaque FICHIER.

AUTEUR
Écrit par Ulrich Drepper, Scott Miller et David Madore.

SIGNALER DES BOGUES
Signaler toute anomalie de sha224sum à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de sha224sum à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète pour sha224sum est disponible dans un manuel Texinfo. Si les programmes info et sha224sum sont correctement installés sur votre système, la commande

    info coreutils 'sha224sum invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Thomas Huriaux <thomas.huriaux@gmail.com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.